Bug 1257662 - NSSSessionCacheTimeout is deprecated. Ignoring.
NSSSessionCacheTimeout is deprecated. Ignoring.
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: mod_nss (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Rob Crittenden
Depends On:
  Show dependency treegraph
Reported: 2015-08-27 10:49 EDT by Jan Pazdziora
Modified: 2018-02-22 15:58 EST (History)
5 users (show)

See Also:
Fixed In Version: mod_nss-1.0.14-12.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2015-08-27 10:49:51 EDT
Description of problem:

After fresh installation of mod_nss and starting Apache,

   NSSSessionCacheTimeout 100

is stored in the default /etc/httpd/conf.d/nss.conf, and then NSSSessionCacheTimeout is reported deprecated and ignored in the error_log.

We should not ship packages with default useless configuration causing warnings.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. yum install -y mod_ssl
2. service httpd restart
3. Check /var/log/httpd/error_log

Actual results:

[Thu Aug 27 10:43:54.451822 2015] [:warn] [pid 13716] NSSSessionCacheTimeout is deprecated. Ignoring.

Expected results:

No such warning.

Additional info:
Comment 3 Jan Pazdziora 2015-09-01 02:43:22 EDT
(In reply to Jan Pazdziora from comment #0)
> Steps to Reproduce:
> 1. yum install -y mod_ssl

For the record, the first step should obviously be

   1. yum install -y mod_nss

Sorry about that.
Comment 5 Matthew Harmsen 2016-01-05 17:21:46 EST
Per discussion with rcritten, moving from RHEL 7.3 --> RHEL 7.4.

(remove deprecated SSL2 options)
Comment 10 Rob Crittenden 2017-02-03 08:38:00 EST
Fixed upstream: 84b4350da4e77a3cb313e531fa0c2979d74a2503
Comment 15 Rob Crittenden 2017-11-03 14:21:43 EDT
Cherry-picked upstream patch 84b4350da4e77a3cb313e531fa0c2979d74a2503
Comment 19 Nikhil Dehadrai 2018-01-18 03:24:59 EST
ipa-server: ipa-server-4.5.4-8.el7.x86_64
mod_nss version: mod_nss-1.0.14-12.el7.x86_64

Verified the bug with following steps:
1. Setup ipa-server at RHEL 7.5
2. Confirmed that mod_nss package is installed
3. Restarted ipactl services.
4. check /var/log/httpd/error_log for "NSSSessionCacheTimeout" message is not observed.

[root@auto-hv-01-guest10 ~]# yum install -y mod_nss
Loaded plugins: product-id, search-disabled-repos, subscription-manager
This system is not registered with an entitlement server. You can use subscription-manager to register.
Package mod_nss-1.0.14-12.el7.x86_64 already installed and latest version
Nothing to do
[root@auto-hv-01-guest10 ~]# ipactl restart
Stopping pki-tomcatd Service
Restarting Directory Service
Restarting krb5kdc Service
Restarting kadmin Service
Restarting named Service
Restarting httpd Service
Restarting ipa-custodia Service
Restarting ntpd Service
Restarting pki-tomcatd Service
Restarting ipa-otpd Service
Restarting ipa-dnskeysyncd Service
ipa: INFO: The ipactl command was successful
[root@auto-hv-01-guest10 ~]# cat /var/log/httpd/error_log | grep "NSSSessionCacheTimeout"
[root@auto-hv-01-guest10 ~]# rpm -q ipa-server mod_nss
[root@auto-hv-01-guest10 ~]# 

Thus on the basis of above observations, marking status of bug to "VERIFIED"

Note You need to log in before you can comment on or make changes to this bug.